Subject: Re: [PATCH v6 0/9] you-still-use-that??: improve breaking changes troubleshooting

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Sep 2025 13:21:43 -0700

Jeff King <[email-masked]> writes:

> I am a little troubled that even after your patch 1, the test suite will
> get confused by a stray git-whatchanged binary left over from an earlier
> build. That may become an irritation later, when the breaking change
> becomes the norm. But maybe it won't be too bad. At that point the
> matching entry in .gitignore should be dropped, so at least "git clean"
> will find it. In the meantime, building with and without the
> breaking-changes flag can cause confusion, but presumably people aren't
> swapping between them too often? And I don't have a clever idea of how
> to do better, short of having the breaking-changes flag explicitly
> delete git-whatchanged from the build directory. Which feels a little
> gross.
>
> So I'd say to call it good for now, and if it comes back to bite us
> later, it is not harder to address then than it would be now.

Yup, my "before pushout" local builds almost always hit a snag from
leftover git-whatchanged, until I tweaked the procedure to begin
with "make distclean" before doing anything else X-<, but this may
be good enough for now.

Thanks, both of you.